<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Learn Javascript</title>
	<link rel="stylesheet" type="text/css" href="learnJS.css">
</head>
<body>
	<div id="mainJS">
		<button id="back"><a href="./index.html">Go back</a></button>
		<h1>Learn JavaScript</h1>
		<h2>What is JavaScript?</h2>
		<p id="jsMeans">JavaScript is a scripting language that enables you to create dynamically updating content, control multimedia, animate images, and pretty much everything else. (Okay, not everything, but it is amazing what you can achieve with a few lines of JavaScript code.)</p>

		<h2>What can we do in JavaScript?</h2>

		<!-- onclick -->
		<h3 class="lesson">onclick</h3>
		<p class="meaning">The onclick event occurs when the user clicks on an HTML element.</p>
		<button onclick="toClick()">Click me to see the greeting</button>
		<p id="greetings"></p>

		<!-- onkeypress -->
		<h3 class="lesson">onkeypress</h3>
		<p class="meaning">The onkeypress event occurs when the user presses a key on the keyboard.</p>
		<label for="fullname">Fullname:</label>
		<input type="text" name="fullname" onkeypress="press()" placeholder="Press any key to see alert.">

		<!-- onkeypress -->
		<h3 class="lesson">onkeydown</h3>
		<p class="meaning">The onkeydown event occurs when the user presses a key on the keyboard.</p>
		<label for="fullname">Fullname:</label>
		<input type="text" name="fullname" onkeydown="down()" placeholder="Press any key to a message.">
		<p id="msg"></p>

		<!-- onblur -->
		<h3 class="lesson">onblur</h3>
		<p class="meaning">The onblur event occurs when an HTML element loses focus.</p>
		<label for="fullname">Fullname:</label>
		<input type="text" id="name" onblur="toBlur()">

		<!-- onmouseover and onmouseout -->
		<h3 class="lesson">onmouseover and onmouseout</h3>
		<p class="meaning">The onmouseover event occurs when the mouse pointer enters an element. The onmouseover event is often used together with the onmouseout event, which occurs when the mouse pointer leaves the element.</p>
		<p onmouseover="colorRed(this)" onmouseout="colorBlack(this)">Change the color of the paragraph.</p>

		<!-- confirm -->
		<h3 class="lesson">confirm</h3>
		<p class="meaning">The confirm() method displays a dialog box with a message, an OK button, and a Cancel button.</p>
		<button onclick="toConfirm()">Click to answer this question</button>
		<p id="ans"></p>

		<!-- confirm -->
		<h3 class="lesson">alert</h3>
		<p class="meaning">The alert() method displays an alert box with a message and an OK button.</p>
		<button onclick="toAlert()">Click to see an alert!</button>

		<!-- document.getElementById -->
		<h3 class="lesson">document.getElementById</h3>
		<p class="meaning">The getElementById() method returns an element with a specified value.</p>
		<label>Try to input:</label>
		<input type="text" id="userInput">
		<button onclick="toSubmit()">Submit</button>
		<p id="inputFromElement"></p>

		<!-- parseInt() -->
		<h3 class="lesson">parseInt</h3>
		<p class="meaning">The parseInt method parses a value as a string and returns the first integer.</p>
		<label>Try to input:</label>
		<input type="text" id="checkIfInt">
		<button onclick="toParse()">Submit</button>
		<p id="parsed"></p>

		<!-- substring -->
		<h3 class="lesson">substring</h3>
		<p class="meaning">The substring() method extracts characters, between two indices (positions), from a string, and returns the substring.</p>
		<label>Try to input:</label>
		<input type="text" id="subStr">
		<button onclick="toSubStr()">Submit</button>
		<p id="subStrResult"></p>

		<!-- toLowerCase -->
		<h3 class="lesson">toLowerCase</h3>
		<p class="meaning">The toLowerCase() method converts a string to lowercase letters.</p>
		<label>Try to input:</label>
		<input type="text" id="lowStr">
		<button onclick="toLower()">Submit</button>
		<p id="lowerStrResult"></p>

		<!-- toUpperCase -->
		<h3 class="lesson">toUpperCase</h3>
		<p class="meaning">The toUpperCase() method converts a string to uppercase letters.</p>
		<label>Try to input:</label>
		<input type="text" id="upStr">
		<button onclick="toUpper()">Submit</button>
		<p id="upStrResult"></p>

		<!-- Math.round -->
		<h3 class="lesson">Math.round</h3>
		<p class="meaning">The Math.round() method rounds a number to the nearest integer.</p>
		<label>Try to input:</label>
		<input type="text" id="round">
		<button onclick="toRound()">Submit</button>
		<p id="roundResult"></p>
	</div>



	<!-- Javascript -->
	<script>
		// onclick
		function toClick() {
		  document.getElementById("greetings").innerHTML = "Hello from the other side";
		}

		// onkeypress
		function press(){
			alert("You pressed a button!");
		}

		// onblur
		function down(){
			document.getElementById("msg").innerHTML="You pressed a key!";
		}

		// onblur
		function toBlur(){
			let x = document.getElementById("name");
			x.value = "John Wick";
		}

		// onmouseover and onmouseout
		function colorRed(x) {
		  	x.style.color = "red";
		}

		function colorBlack(x) {
		  	x.style.color = "black";
		}

		// confirm
		function toConfirm(){
			let question = "Are you a programmer/ junior developer?";
			if(confirm(question) === true){
				answer = "Yes, you are hello there.";
			}else{
				answer = "No, you canceled.";
			}
			document.getElementById("ans").innerHTML=answer;
		}

		// alert
		function toAlert(){
			alert("Hello from alert!");
		}

		// document.getElementById
		function toSubmit(){
			let text = document.getElementById("userInput").value;
			document.getElementById("inputFromElement").innerHTML = text;
		}

		//parseInt 
		function toParse(){
			let text = document.getElementById("checkIfInt").value;
			document.getElementById("parsed").innerHTML = parseInt(text);
		}

		// substring
		function toSubStr(){
			let text = document.getElementById("subStr").value;
			document.getElementById("subStrResult").innerHTML = text.substring(3);
		}

		// toLowerCase
		function toLower(){
			let text = document.getElementById("lowStr").value;
			document.getElementById("lowerStrResult").innerHTML = text.toLowerCase();
		}

		// toUpperCase
		function toUpper(){
			let text = document.getElementById("upStr").value;
			document.getElementById("upStrResult").innerHTML = text.toUpperCase();
		}

		// Math.round
		function toRound(){
			let input = document.getElementById("round").value;
			document.getElementById("roundResult").innerHTML = Math.round(input);
		}

	</script>
</body>
</html>